Growth Studio OpenAPI Integration Guide · 图片与系统模特
POST /openapi/v1/image/upload
Content-Type: multipart/form-data
Authorization: Bearer <API_KEY>
Form fields:
| Field | Type | Required | Description |
|---|---|---|---|
image |
file | Yes | Local image file |
Image requirements:
image.curl --request POST \
"${BASE_URL}/openapi/v1/image/upload" \
--header "Authorization: Bearer ${API_KEY}" \
--form 'image=@/absolute/path/product.webp'
HTTP status code: 200 OK
{
"url": "https://media.pixverse.ai/marketing_hub_website/openapi_video_inputs/uploads/22/11/example.webp",
"request_id": "upload-product-001"
}
url is an internal CDN URL that can be used in subsequent create-video requests.
This version does not allow developers to upload Avatars to the Avatar asset library. This endpoint returns system Avatars obtained by the platform from a downstream asset library; it does not include Avatars created by Marketing Hub users.